<mat-card>
  <mat-card-content>
    <h2 class="form-signin-heading">Registrovat se</h2>
    <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <br/>

        <mat-form-field>
          <input matInput formControlName="username" required placeholder="Přihlašovací jméno">
          <mat-error *ngFor="let error of getErrors(form.get('username')!,'Přihlašovací jméno')">
              {{error}}
          </mat-error>

        </mat-form-field>

        <mat-form-field>
          <input matInput type="email" formControlName="email" placeholder="Email" required>
          <mat-error *ngFor="let error of getErrors(form.get('email')!,'Email')">
            {{error}}
        </mat-error>
          </mat-form-field>

        <mat-form-field>
        <input matInput type="password" formControlName="password" placeholder="Heslo" required>
        <mat-error *ngFor="let error of getErrors(form.get('password')!,'Heslo')">
          {{error}}
      </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput type="password" formControlName="confirm" placeholder="Potvrďte heslo" required>
          <mat-error *ngFor="let error of getErrors(form.get('confirm')!,'Potvrďte heslo',form.get('password')!)">
            {{error}}
        </mat-error>
          </mat-form-field>
          <mat-form-field>
            <input matInput type="tel" formControlName="phonenumber" placeholder="Telefoní číslo" required>
            <mat-error *ngFor="let error of getErrors(form.get('phonenumber')!,'Telefoní číslo')">
              {{error}}
          </mat-error>
          </mat-form-field>
        <button mat-flat-button class="btn btn-lg btn-primary" type="submit">Registrovat se</button>
    </form>
  </mat-card-content>
</mat-card>
